# Interface methods for submodule: PointSet
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DataObjectProxy as _DataObjectProxy


# Interface methods for class: PointSet
class PointSetProxy(_DataObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMaximumNumberOfRegions(self) -> int:
		""""""
		...

	def PassStructure(self, inputPointSet) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetNumberOfPoints(self) -> int:
		""""""
		...

	def SetPoints(self, arg0) -> None:
		""""""
		...

	def GetPoints(self):
		""""""
		...

	@overload
	def SetPointData(self, arg0) -> None:
		""""""
		...

	@overload
	def SetPointData(self, arg0: int, arg1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetPointData(self, arg0: int, arg1: float) -> None:
		""""""
		...

	@overload
	def SetPointData(self, arg0: int, arg1) -> None:
		""""""
		...

	@overload
	def SetPointData(self, arg0: int, arg1: int) -> None:
		""""""
		...

	@overload
	def GetPointData(self):
		""""""
		...

	@overload
	def GetPointData(self, arg0: int, arg1) -> bool:
		""""""
		...

	@overload
	def SetPoint(self, arg0: int, arg1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetPoint(self, arg0: int, arg1) -> None:
		""""""
		...

	@overload
	def GetPoint(self, arg0: int, arg1) -> bool:
		""""""
		...

	@overload
	def GetPoint(self, arg0: int) -> Sequence[float]:
		""""""
		...

	@overload
	def GetPoint(self, arg0: int):
		""""""
		...

	def UpdateOutputInformation(self) -> None:
		""""""
		...

	def SetRequestedRegionToLargestPossibleRegion(self) -> None:
		""""""
		...

	def CopyInformation(self, data) -> None:
		""""""
		...

	def Graft(self, data) -> None:
		""""""
		...

	def RequestedRegionIsOutsideOfTheBufferedRegion(self) -> bool:
		""""""
		...

	def VerifyRequestedRegion(self) -> bool:
		""""""
		...

	@overload
	def SetRequestedRegion(self, data) -> None:
		""""""
		...

	@overload
	def SetRequestedRegion(self, region: int) -> None:
		""""""
		...

	def GetRequestedRegion(self) -> int:
		""""""
		...

	def SetBufferedRegion(self, region: int) -> None:
		""""""
		...

	def GetBufferedRegion(self) -> int:
		""""""
		...

